<?php
/**
 * Clase DP para CrSucursalValidadorDP
 *
 * @package    
 * @subpackage CrSucursalValidadorDP
 * @author     Willy
 * @version    SVN:: CrSucursalValidadorDP.class.php,v 1.1 2022-12-19 20:22:19 william.taype Exp $
 */
class CrSucursalValidadorDP extends BaseCrSucursalValidadorDP
{
	 public function saveLog(){
	  
	    $con = Conexion::getConexion();
	    /*
	    $sql = "UPDATE 
				cr_colaborador
				SET IdSucursalVal = '-1'
	            WHERE  IdSucursalVal = '".$this->getIdSucursal()."'
	            	  and IdRol  = '".$this->getIdRol()."'	
	            	";
	   
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		*/
	     $sql = "
	     		INSERT INTO cr_sucursal_validador_log 
	     		(IdSucursalValidadorLog,IdSucursal,IdColaborador,IdRol,Estado,FechaCreacion,UsuarioCreacion,FechaCreacionLog,UsuarioCreacionLog) 
	     		SELECT Null,IdSucursal,IdColaborador,IdRol,Estado,FechaCreacion,UsuarioCreacion,'".$this->getFechaCreacion()."','".$this->getUsuarioCreacion()."'
				FROM cr_sucursal_validador
				SET IdSucursalVal = '-1'
	            WHERE  IdSucursalVal = '".$this->getIdSucursal()."'
	            	  and IdRol  = '".$this->getIdRol()."'	
	            	";
	   
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);	 
	    
	     $sql = "DELETE FROM  cr_sucursal_validador
	            WHERE  IdSucursal = '".$this->getIdSucursal()."'
	            	  and IdRol  = '".$this->getIdRol()."'	
	            	";
	   
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con); 	
	  }
}